Subject: Linux-Activists - DOC Channel digest. 93-4-1-11:27
From: "Linux Activists" <[email-masked]>
To: "Linux-Activists" <[email-masked]>
Date: Sat, 1 May 1993 17:51:54 +0300

Topics:
	 Possible publication of LDP documents by O'Reilly
	 LPG possible organization

----------------------------------------------------------------------

From: [email-masked] (Andy Oram)
Subject: Possible publication of LDP documents by O'Reilly
Date: Sat, 1 May 1993 13:31:43 +0300

You guys have really been working hard!  And now I see that you've
been taking extra time to get these ready for publication, in addition
to getting them ready for the net.  I should have gotten into this
dialogue sooner!  But I really appreciate Matt's work, and Thomas
Koenig's and your postings, to push us along.

I will spend some time deciding what to do, to really offer you
support.  When we normally get proposals from authors, we don't just
stand back and say, "Show me the book when it's done."  We look at
outline and early drafts, and help set the direction.  Maybe I
shouldn't do that here -- you feel you are doing a good job already,
and I respect that.  Moreover, I don't really have free time to work
on books besides O'Reilly's (I am doing a little volunteer work on the
side, but that was something I started before coming to O'Reilly).

Certainly, when you want us to see books, I'll circulate them around
O'Reilly.  And I know you have generated a lot of man pages.  Normally
we don't deal with UNIX man pages here, but there's been some talk
about starting to do that.

As for format -- PostScript or whatever -- don't worry much about that
now.  We are slowly converting to SGML at O'Reilly.  We hope to write
filters that can translate back and forth between SGML and existing
mark-up languages (TeX, texinfo, and troff).  We have to do that to
produce our own books, so we can translate yours too.  The compuer
industry has not been producing useful authoring tools (things that
let you manipulate SGML easily when you write a document) or
production tools (nice laser-printer formatters that interpret SGML)
probably because all the companies still want to lock in their
customers to a proprietary document format.  So this would be a really
nice area for a big free-software project.

----------------------------------------------------------------------
Andy Oram    O'Reilly & Associates, Inc.                 [email-masked]
             90 Sherman Street, Cambridge, MA 02140     (617) 354-5800
                                                    fax (617) 661-1116
----------------------------------------------------------------------

------------------------------

From: [email-masked] (Zeyd M. Ben-Halim)
Subject: LPG possible organization
Date: Sat, 1 May 1993 13:35:12 +0300

Here's the outline of the book. The purpose of the outline is give writers an
idea how the "Linux Programming Guide" could be organized. An alternative is
to have people write articles dealing with the different aspects of the API.
mkj would act as editor and supreme commander :-)
I believe somebody volunteered to write a manual on terminal i/o. Perhaps that
could become part of the LPG. I'm not sure whether documenting ncurses could
be considered part of the LPG since curses is not really part of the API (or
is it?). Maybe we should start be defining what the API is. Is gdbm part of it?
A very common question is how to convert from pure BSD behavior to that of
Linux (mostly POSIX). This includes sgtty->termios, union wait, reliable vs
unreliable signals, ioctls, lockf and fcntl vs flock.

Zeyd

This is the outline of "Advanced Programming in the UNIX environment" By
W. Richard Stevens and published by Addison-Wesley.

Ch. 1   Introduction

A quick introduction to the UNIX API

Ch 2.   Unix Standardization and Implementations

ANSI, PSOIX, X/Open, and FIPS
SYSV, BSD
limits

Ch. 3   File I/O

open, et al.
fcntl, very brief introduction of ioctl
/dev/fd

Ch. 4   Files and Directories

stat, fstat, lstat
setuid, setgid
permissions
file systems
symbolic links
file times
reading directories
device files
sync

Ch. 5   Standard I/O library

streams and FILE
buffering
reading/writing
formatted i/o
temporary files

Ch. 6   System data files and information

passwords
groups, supplementary groups
login accounting
system identification
time and date

Ch. 7   The environment of a unix process

main
command-line arguments
environment
memory layout
shared libraries
memory allocation
setjmp, longjmp
rlimit

Ch. 7   Process Control

fork, ext, wait*
exec
changing ids
system function
process acoounting
process time

Ch. 8   Process relationships

terminal and network logins
process groups, sessions, controlling terminal
job control
shells
orphans

Ch. 10  Signals

signal()
(un)reliable sigmals SIGCLD
kill, raise, alram, apuse
signal sets
sigaction
job-control signals

Ch. 11  Terminal I/O

termios
special characters
options
stty
control fucntions
terminal modes
termcap/terminfo, curses (very brief)

Ch. 12  Advanced I/O

non-blockin I/O
locking
STREAMS
select/poll
Asynchronous i/o
readv, writev, readn, writen
mmap

Ch. 13  Daemon Processes

characteristics
coding rules
error loggin
client-server model

Ch. 14  Interprocess communication

pipes
fifos
SYSV ipc
message queues
semaphores
shared memory

Ch. 15 Advanced interprocess communications

stream pipes
passing file descriptors
Client-servers under SYSV and BSD

Ch. 16  Database library

Ch. 17  Communicating with a postscript printer

Ch. 18  a modem dialer

Ch. 19	Psuedo terminals

Appendix A	function prototypes

Appendix B 	miscellaneous source code

Appendix C  	solution to selected exercises

Bibliography

Index

------------------------------

End of DOC Digest
*****************
-------